Skip to main content
POST
/
v2
/
projects
/
{project_id}
/
spans
/
count
Count Spans
curl --request POST \
  --url https://api.galileo.ai/v2/projects/{project_id}/spans/count \
  --header 'Content-Type: application/json' \
  --header 'Splunk-AO-API-Key: <api-key>' \
  --data '
{
  "filters": [
    {
      "case_sensitive": true,
      "name": "input",
      "operator": "eq",
      "type": "text",
      "value": "example input"
    }
  ],
  "log_stream_id": "74aec44e-ec21-4c9f-a3e2-b2ab2b81b4db"
}
'
import requests

url = "https://api.galileo.ai/v2/projects/{project_id}/spans/count"

payload = {
"filters": [
{
"case_sensitive": True,
"name": "input",
"operator": "eq",
"type": "text",
"value": "example input"
}
],
"log_stream_id": "74aec44e-ec21-4c9f-a3e2-b2ab2b81b4db"
}
headers = {
"Splunk-AO-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Splunk-AO-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [
{
case_sensitive: true,
name: 'input',
operator: 'eq',
type: 'text',
value: 'example input'
}
],
log_stream_id: '74aec44e-ec21-4c9f-a3e2-b2ab2b81b4db'
})
};

fetch('https://api.galileo.ai/v2/projects/{project_id}/spans/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total_count": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Splunk-AO-API-Key
string
header
required

Path Parameters

project_id
string<uuid4>
required

Body

application/json
log_stream_id
string<uuid4> | null

Log stream id associated with the traces.

experiment_id
string<uuid4> | null

Experiment id associated with the traces.

metrics_testing_id
string<uuid4> | null

Metrics testing id associated with the traces.

filters
(LogRecordsIDFilter · object | LogRecordsDateFilter · object | LogRecordsNumberFilter · object | LogRecordsBooleanFilter · object | LogRecordsCollectionFilter · object | LogRecordsTextFilter · object | LogRecordsFullyAnnotatedFilter · object)[]
filter_tree
FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]] · object

Response

Successful Response

total_count
integer
required

Total number of records matching the query